Bug 186611 - [PATCH] archivers/quazip: update to 0.6.2
Summary: [PATCH] archivers/quazip: update to 0.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-09 22:40 UTC by Raphael Kubo da Costa
Modified: 2014-03-19 01:20 UTC (History)
1 user (show)

See Also:


Attachments
quazip-0.6.2.patch (2.22 KB, patch)
2014-02-09 22:40 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2014-02-09 22:40:00 UTC
- Update to 0.6.2

This release is ABI compatible with the current 0.5.1 so no dependent ports need to be bumped. It includes a fix I sent upstream to make the port fully MAKE_JOBS_SAFE (it was previously randomly failing because the tests target did not depend on the library one).

Port maintainer (nivit@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-02-09 22:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nivit

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Steve Wills freebsd_committer 2014-03-17 15:53:40 UTC
Responsible Changed
From-To: nivit->swills

I'll take it.
Comment 3 dfilter service freebsd_committer 2014-03-17 15:54:27 UTC
Author: swills
Date: Mon Mar 17 15:54:22 2014
New Revision: 348485
URL: http://svnweb.freebsd.org/changeset/ports/348485
QAT: https://qat.redports.org/buildarchive/r348485/

Log:
  - Update to 0.6.2
  - Fixes build on 11-CURRENT
  
  PR:		ports/186611
  Submitted by:	rakuco
  Approved by:	maintainer timeout (nivit, >4 weeks)

Deleted:
  head/archivers/quazip/files/
Modified:
  head/archivers/quazip/Makefile
  head/archivers/quazip/distinfo

Modified: head/archivers/quazip/Makefile
==============================================================================
--- head/archivers/quazip/Makefile	Mon Mar 17 15:50:48 2014	(r348484)
+++ head/archivers/quazip/Makefile	Mon Mar 17 15:54:22 2014	(r348485)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	quazip
-PORTVERSION=	0.5.1
-#PORTREVISION=	0
+PORTVERSION=	0.6.2
 CATEGORIES=	archivers
 MASTER_SITES=	SF
 

Modified: head/archivers/quazip/distinfo
==============================================================================
--- head/archivers/quazip/distinfo	Mon Mar 17 15:50:48 2014	(r348484)
+++ head/archivers/quazip/distinfo	Mon Mar 17 15:54:22 2014	(r348485)
@@ -1,2 +1,2 @@
-SHA256 (quazip-0.5.1.tar.gz) = 078176a72288983f78b45c15f7d245131d9d5fc36a22f2757d75a78658c33268
-SIZE (quazip-0.5.1.tar.gz) = 354658
+SHA256 (quazip-0.6.2.tar.gz) = adf4047213662a0362090edaaee4283216df2034ab5923697f9aa81d081c0b43
+SIZE (quazip-0.6.2.tar.gz) = 423027
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Steve Wills freebsd_committer 2014-03-17 15:54:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2014-03-19 01:12:04 UTC
Author: swills
Date: Wed Mar 19 01:12:00 2014
New Revision: 348605
URL: http://svnweb.freebsd.org/changeset/ports/348605
QAT: https://qat.redports.org/buildarchive/r348605/

Log:
  MFH: r348485
  
  - Update to 0.6.2
  - Fixes build on 11-CURRENT
  
  PR:		ports/186611
  Submitted by:	rakuco
  Approved by:	maintainer timeout (nivit, >4 weeks)
  Approved by:	portmgr (bdrewery)

Deleted:
  branches/2014Q1/archivers/quazip/files/
Modified:
  branches/2014Q1/archivers/quazip/Makefile
  branches/2014Q1/archivers/quazip/distinfo
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/archivers/quazip/Makefile
==============================================================================
--- branches/2014Q1/archivers/quazip/Makefile	Wed Mar 19 01:10:38 2014	(r348604)
+++ branches/2014Q1/archivers/quazip/Makefile	Wed Mar 19 01:12:00 2014	(r348605)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	quazip
-PORTVERSION=	0.5.1
-#PORTREVISION=	0
+PORTVERSION=	0.6.2
 CATEGORIES=	archivers
 MASTER_SITES=	SF
 

Modified: branches/2014Q1/archivers/quazip/distinfo
==============================================================================
--- branches/2014Q1/archivers/quazip/distinfo	Wed Mar 19 01:10:38 2014	(r348604)
+++ branches/2014Q1/archivers/quazip/distinfo	Wed Mar 19 01:12:00 2014	(r348605)
@@ -1,2 +1,2 @@
-SHA256 (quazip-0.5.1.tar.gz) = 078176a72288983f78b45c15f7d245131d9d5fc36a22f2757d75a78658c33268
-SIZE (quazip-0.5.1.tar.gz) = 354658
+SHA256 (quazip-0.6.2.tar.gz) = adf4047213662a0362090edaaee4283216df2034ab5923697f9aa81d081c0b43
+SIZE (quazip-0.6.2.tar.gz) = 423027
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"